Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalAppflowEvent

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalAppflowEvent

An object to encapsulate the webflow event. The PortalAppflowEvent has references to the: webflow namespace, origin, event, PageIdentifier and PortletIdentifier. An instance of the PortalAppflowEvent is stored in the PortalRequest.

See Also:
  `PortalAppflowFactory.createPortalAppflowEvent(javax.servlet.http.HttpServletRequest, com.bea.portal.model.Portal)`, `PortalRequest.getPortalAppflowEvent()`

Method Summary
`String` | `getEvent()` Deprecated. The portlets event
`String` | `getNamespace()` Deprecated. Return the webflow namespace for this request
`String` | `getOrigin()` Deprecated. Return the origin name.
`PageIdentifier` | `getPageIdentifier()` Deprecated. The portal page from which this event occured
`PortletIdentifier` | `getPortletIdentifier()` Deprecated. The portlet from which this event occured

Method Detail

### getNamespace

    public String getNamespace()

  Deprecated.
  Return the webflow namespace for this request

### getOrigin

    public String getOrigin()

  Deprecated.
  Return the origin name. Origins are in the `node-name.node-type` format.

### getEvent

    public String getEvent()

  Deprecated.
  The portlets event

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Deprecated.
  The portal page from which this event occured

### getPortletIdentifier

    public PortletIdentifier getPortletIdentifier()

  Deprecated.
  The portlet from which this event occured

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved